
.fade-in {
	display: flex !important;
	opacity: 1 !important;
	animation-name: fadeInOpacity;
	animation-iteration-count: 1;
	animation-timing-function: ease-in;
	animation-duration: 0.3s;
}
@keyframes fadeInOpacity {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

.sc-general {
  opacity: 0;
  display: none;
}

.prize {
  opacity: 0;
	display: block;
  transition: opacity 1.3s;
  -webkit-transition: opacity 1.3s;
  cursor: default;
}
.no-prize {
  opacity: 0;
	display: block;
  /*transition: opacity 1.3s;
  -webkit-transition: opacity 1.3s;*/
  cursor: default;
}

.display-button {
  display: inline-flex;
  opacity: 1;	
}

.prize.display-button {
  cursor: pointer;
}

#screen-1 {
  overflow: hidden;
}

.play-button span {
  line-height: 26px;
  font-size: 29px;  
  /*  
  font-size: 16px;
  line-height: inherit;*/
}

.input-validation-failed,
.checkbox__label.checkbox-validation-failed::before,
.rewards-checkbox .checkmark.checkbox-validation-failed,
.personal-data .checkbox__label.checkbox-validation-failed::before,
.checkbox__label.agree-final.checkbox-validation-failed::before,.checkbox__label.agreee-final.checkbox-validation-failed::before, .input-validation-failed-radio::before {
	border: 1px solid #f62d27;
  color: #f62d27;
}

.input-validation-failed-label::before {
  background-color: #f62d27;
}

input.input-validation-failed, .validation-failed .checkbox__label:before, .raucher.validation-failed .radio-button__label::before, .checkbox__label.checkbox-validation-failed:before, .checkbox-validation-failed.agree-final:before, .checkbox-validation-failed.agreee-final:before {
  border-color: #c93030;
}

.checkbox-validation-failed .validation-message.check-2, .checkbox-validation-failed .validation-message.check-3 {
  display: block;
}

.game-screen__inner {
  height: 616px;
}

.modal__body h2 {
  color: #004288;
}
.icon-cross::before {
  -webkit-mask-image: url(data:image/svg+xml,%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='7px' height='6.7px' viewBox='0 0 7 6.7' enable-background='new 0 0 7 6.7' xml:space='preserve'%3E%3Cg enable-background='new'%3E%3Cpath fill='%23FAFAFA' d='M0,6.7l2.4-3.5L0.1,0h2.2l1.2,1.9L4.7,0h2.1L4.5,3.2L7,6.7H4.8L3.5,4.7L2.1,6.7H0z'/%3E%3C/g%3E%3C/svg%3E);
  mask-image: url(data:image/svg+xml,%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='7px' height='6.7px' viewBox='0 0 7 6.7' enable-background='new 0 0 7 6.7' xml:space='preserve'%3E%3Cg enable-background='new'%3E%3Cpath fill='%23FAFAFA' d='M0,6.7l2.4-3.5L0.1,0h2.2l1.2,1.9L4.7,0h2.1L4.5,3.2L7,6.7H4.8L3.5,4.7L2.1,6.7H0z'/%3E%3C/g%3E%3C/svg%3E);
  
}
.modal .editor-text h1,
.modal .editor-text h2,
.modal .editor-text h3 {
    font-weight: 800;
    line-height: 1.2;
    font-family: "Montserrat", sans-serif; }

.modal .editor-text h1,
.modal .editor-text h2,
.modal .editor-text h3 {
    font-size: 29px;
    text-shadow: 0 5px 0 rgba(0, 66, 136, 0.26);
    letter-spacing: 0.87px;
    line-height: 1.17;
    text-transform: uppercase; }
    @media only screen and (min-width: 768px) and (max-width: 1199px) {
        .modal .editor-text h1,
        .modal .editor-text h2,
        .modal .editor-text h3 {
            font-size: 25px; } }
    @media only screen and (max-width: 767px) {
        .modal .editor-text h1,
        .modal .editor-text h2,
        .modal .editor-text h3 {
            font-size: 18px; } }

.modal {
    position: fixed;
    left: 0;
    height: 100%;
    top: 0;
    width: 100%;
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    padding: 30px;
    visibility: hidden;
    background-color: rgba(0, 0, 0, 0.6);
    transition: opacity 0.3s ease, visibility 0.3s ease; }
    @media only screen and (max-width: 767px) {
        .modal {
            padding: 20px; } }
    .modal.is-open-modal {
        visibility: visible;
        opacity: 1; }
    .modal__close {
      position: absolute;
      top: 20px;
      right: 20px;
      border-radius: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 30px;
      height: 30px;
      background-color: #004288;
      z-index: 9;
      color: white;
      line-height: 20px;
      padding: 7px 10px 10px 10px; }
        @media only screen and (max-width: 767px) {
            .modal__close {
                top: 22px;
                right: 16px; } }
    .modal__inner {
        width: 100%;
        max-width: 500px;
        background-color: #fff;
        border-radius: 32px;
        position: relative;
        margin: auto;
        color: #004288;
        height: 65vh;
        overflow: hidden; }
    .modal__body {
        height: 100%;
        left: 0;
        position: absolute;
        width: 100%;
        top: 0;
        overflow: auto;
        padding: 80px 50px 40px;
        scrollbar-track-color: rgba(0, 66, 136, 0.5);
        scrollbar-darkshadow-color: #004288;
        scrollbar-arrow-color: rgba(0, 66, 136, 0.5);
        /* width */
        /* Track */
        /* Handle */
        /* Handle on hover */ }
        .modal__body::-webkit-scrollbar {
            width: 6px; }
        .modal__body::-webkit-scrollbar-track {
            background: rgba(0, 66, 136, 0.5); }
        .modal__body::-webkit-scrollbar-thumb {
            background: rgba(0, 66, 136, 0.5);
            width: 6px;
            border-radius: 0; }
        .modal__body::-webkit-scrollbar-thumb:hover {
            background: #004288; }
        @media only screen and (max-width: 767px) {
            .modal__body {
                border-radius: 10px;
                padding: 50px 30px 30px; } }
        @media (max-width: 360px) {
            .modal__body {
                padding: 50px 20px 20px; } }
    .modal .editor-text {
        line-height: 1.5; }
        .modal .editor-text h1,
        .modal .editor-text h2,
        .modal .editor-text h3 {
            text-shadow: 0 2px 0 rgba(0, 66, 136, 0.26);
            font-size: 20px; }
            @media only screen and (max-width: 767px) {
                .modal .editor-text h1,
                .modal .editor-text h2,
                .modal .editor-text h3 {
                    font-size: 16px; } }
            @media (max-width: 360px) {
                .modal .editor-text h1,
                .modal .editor-text h2,
                .modal .editor-text h3 {
                    font-size: 14px; } }

                    header
                    {
                        display: block; }
                    .header-main {
                      position: absolute;
                      left: 0;
                      top: 0;
                      width: 100%;
                      padding: 16px 30px;
                      z-index: 100; }
                      @media only screen and (max-width: 767px) {
                          .header-main {
                              top: inherit;
                              bottom: 0;
                              padding: 30px 15px;
                              /*display: none;*/ } }

                              .menu li {
                                display: inline-block;
                                margin: 0 11px; }
                                @media (max-width: 380px) {
                                    .menu li {
                                        margin: 0 5px; } }
                            
                            .menu__link {
                                display: block;
                                color: #fff;
                                font-weight: 700;
                                letter-spacing: 0.64px;
                                font-size: 13px;
                                text-transform: uppercase;
                                transition: color 0.3s ease, opacity 0.3s ease; }
                                .menu__link:hover {
                                    opacity: 0.8; }

                                    .slot-machine {
                                      box-shadow: none;
                                    }

                                    #admin-area {
                                      position: fixed;
                                      /*border: 1px solid red;*/
                                      width: 100px;
                                      height: 100px;
                                      z-index: 10000;
                                      bottom: 0px;
                                      right: 0px;
                                  }

                                  .modal2 {
                                    position: fixed;
                                    left: 0;
                                    height: 100%;
                                    top: 0;
                                    width: 100%;
                                    z-index: 999;
                                    font-weight: 300;
                                    color: #030345;
                                    display: none;
                                    align-items: center;
                                    justify-content: center;
                                    transition: opacity 0.2s ease;
                                    -webkit-transition: opacity 0.2s ease;
                                    background: white;
                                    display: none;
                                 }
                                 .modal2.show {
                                    display: flex;
                                 }
                                 .modal2 .modal_body {
                                    width: 100%;
                                    max-width: 500px;
                                    min-height: 570px;
                                    box-shadow: 0 0 20px #030345;
                                    background-color: rgba(250, 250, 250, 0.95);
                                    border-radius: 32px;
                                    position: relative;
                                    margin: 100px auto 150px;
                                    height: 65vh;
                                    overflow: hidden;
                                }
                                
                                .modal2 .modal__close {
                                    position: absolute;
                                    top: 35px;
                                    right: 35px;
                                    border-radius: 100%;
                                    display: flex;
                                    align-items: center;
                                    justify-content: center;
                                    width: 100px;
                                    height: 100px;
                                    background-color: #030345;
                                    color: white;
                                    z-index: 1000;
                                  font-size: 41px;
                                    text-align: center;
                                }
                                
                                .modal2 .modal__body-inner {
                                    height: 100%;
                                    left: 0;
                                    position: absolute;
                                    width: 100%;
                                    top: 0;
                                    padding: 80px 56px 40px;
                                    overflow: auto;
                                    font-size: 21px;
                                }
                                .modal2 .modal__body-inner table {
                                    width: 100%;
                                }
                                .modal2 .modal__body-inner table tr {
                                    border-bottom: 1px solid;
                                }
                                .modal2 .btn.selected {
                                  background-color: white !important;
                                  color: #00a1e4 !important;
                                }
                                .modal2 .btn.users {
                                  margin-right: 10px;
                                }

                                .modal2 h2 {
                                  font-family: "Montserrat", sans-serif;
                                  color: #00a1e4 !important;
                                  text-shadow: 0 2px 0 rgb(0 66 136 / 26%);
                                  font-size: 20px;
                                  font-weight: 800;
                                  text-transform: uppercase;
                                  font-size: 28px;
                                  margin-bottom: 20px;
                                }
                                .modal2 .modal__body-inner.prizes {
                                  display: none;
                                }
                                #admin-area {
                                  font-size: 10px;
                                }
                                #admin-area span {
                                  position: absolute;
                                  bottom: 7px;
                                  right: 7px;
                                  font-size: 5px;
                                }
                                .modal2 td {
                                  padding: 10px 0px;
                                }
